### Method

# Ide Buffer get_insert_location

#### Declaration

    IdeLocation*
    ide_buffer_get_insert_location (
      IdeBuffer* self
    )

#### Description

Gets the location of the insert mark as an `IdeLocation`.

Available since: | 3.32

#### Return value

Returns: | `IdeLocation`
| An `IdeLocation`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.